Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

Info

Prev Next
Post
/info/device

Used to get details on a single device using your application.

Body parameters
object
apptoken
string Required

Your App Token

id
integer (int64) Required

The ID of the device action you are looking for

select
Array of string

Select what attributes to return, eg. ["id", "active", "addressable", "type"]

string
Responses
200

200

Mobile device
{
  "success": "True",
  "code": "200",
  "model": {
    "id": "DEVICE_ID",
    "project_id": "PROJECT_ID",
    "application_id": "4355",
    "profile_id": "11ebf6ba2fcbeb199bba025637c9c88f",
    "create_time": "1625478315",
    "open_time": "1630337799",
    "token": "ff54db9bca94b0c6bad0cf85fddedaf4f4e13012385841e063dd75d46c010ba5",
    "active": "1",
    "addressable": "1",
    "subscription": "1",
    "type": "ios",
    "environment": "production",
    "device_id": "9EE20526-356D-4209-9658-989C68288F5A",
    "device_idfv": "34794403-B5CE-4460-BD67-C2A365322842",
    "device_idfa": "00000000-0000-0000-0000-000000000000",
    "device_type": "iPhone",
    "device_model": "iPhone12,8",
    "device_model_name": "iPhone12,8",
    "device_os": "14.6",
    "user_agent": "Mozilla/5.0 (iPhone; CPU iPhone OS 14_6 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148",
    "name": "Maria’s iPhone",
    "timezone": "Europe/Dublin",
    "country": "IE",
    "language": "en",
    "carrier_name": "Carrier",
    "app_version": "1.0",
    "lib_version": "i-02112018",
    "key": "e0en1HyouY69XyQMR2JH0kqNydyzlI5b"
  }
}
Web devices
{
  "success": "True",
  "code": "200",
  "model": {
    "id": "DEVICE_ID",
    "project_id": "PROJECT_ID",
    "application_id": "5471",
    "profile_id": "11eb0ca1064e5d5188bc7061c72c7ac00",
    "create_time": "1603904361",
    "open_time": "1604485204",
    "token": "eq_bQlRwVYI:APA91bE5NKmPdFmnSlhosFp7W1BleVtiwmEbtnOeHnJlrTieGagXVIFOCqFjry-vyiQCrg5uLhiAY8K-dw3_YFRGHZun3VwUBjy52YNky5kESSBFjdMsldzbr6GWzGmpumSbskuxrkZe",
    "active": "1",
    "addressable": "0",
    "subscription": "1",
    "type": "web",
    "environment": "chrome",
    "device_id": "XP_O5Asm9TtbHqrtY6eOFyQlco-AwTfMTOw",
    "device_type": "Apple",
    "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.111 Safari/537.36",
    "timezone": "UTC",
    "language": "en",
    "browser": "Chrome",
    "browser_type": "desktop",
    "browser_version": "chrome/86",
    "browser_opt_version": "chrome/86",
    "browser_os_version": "mac/10",
    "lib_version": "2000-01-10T00:00:00Z",
    "key": "7_9PAStFJsJ4VM6Hmw_3XUQ9Lh3i0nMm"
  }
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
model
object
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string
404

404

Result
{
  "success": "False",
  "code": "404",
  "message": "Not Found"
}
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example404
message
string
ExampleNot Found